%define name gxine
%define version 0.3.3
%define release 4mdk
%define xinever 1-0.beta10.1mdk

Summary: GTK+ frontend for the Xine multimedia player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: gxine-0.3.3-no-gnome-mime-registration.patch.bz2
License: GPL
Group: Video
URL: http://xine.sf.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xine-plugins >= %xinever
BuildRequires: libxine-devel >= %xinever
BuildRequires: libgtk+2.0-devel
BuildRequires: liblirc-devel

%description
This is a graphical frontend for Xine based on the GTK+ toolkit.

%prep
%setup -q
%patch -p1
%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot/%_libdir/gxine/*a
mkdir -p %buildroot/%_libdir/mozilla/plugins
mv %buildroot/%_libdir/gxine/gxineplugin.so %buildroot/%_libdir/mozilla/plugins
%find_lang %name
mkdir -p %buildroot%{_libdir}/menu
cat > %buildroot%{_libdir}/menu/%{name} <<EOF 
?package(%name):command="%{_bindir}/%name" title="Gxine" longtitle="Xine Video Player" needs="X11" section="Multimedia/Video" icon="video_section.png" mimetypes="video/dv,video/mpeg,video/msvideo,video/quicktime,video/x-anim,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,video/x-nsv,video/x-flc,video/x-fli,application/ogg,application/x-ogg,audio/basic,audio/x-mp3,audio/x-mpeg,audio/mpeg,audio/x-wav,audio/x-mpegurl,audio/x-scpls,audio/x-m4a,audio/x-ms-asf,audio/x-ms-asx,audio/x-ms-wax,application/vnd.rn-realmedia,audio/x-real-audio,audio-x-pn-realaudio,application/x-flac,audio/x-flac,misc/ultravox,application/x-matroska" accept_url="true" multiple_files="true"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%_bindir/gxine
%_bindir/gxine_client
%_libdir/mozilla/plugins/gxineplugin.so
%{_datadir}/gnome/apps/Multimedia/gxine.desktop
%{_datadir}/gxine/
%lang(de) %{_datadir}/man/de/man1/gxine.1.bz2
%{_datadir}/man/man1/gxine.1.bz2
%_menudir/%name

%changelog
* Mon Aug 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-4mdk
- add more mime types to the menu entry
- disable gnome mime registration wizard (bug #11084)

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-3mdk
- drop prefix
- fix buildrequires

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-2mdk
- fix distriblint warning

* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-1mdk
- move the mozilla plugin to the right dir
- requires latest xine libs
- new version	

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- initial package
